//-----------------------------------------------------------------------------
//    KAmodEXP1 software library
//-----------------------------------------------------------------------------
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//-----------------------------------------------------------------------------
#include "TWI.h"
//-----------------------------------------------------------------------------
// Write to MCP23S08 internal register
//-----------------------------------------------------------------------------
void KAmodEXP2_WriteReg(unsigned char idx, unsigned char RegAddr, unsigned char RegValue)
{
TWI_Start();
TWI_Write(0x40 | (idx << 1));	// Write device address
TWI_Write(RegAddr);				// Write internal register address
TWI_Write(RegValue);				// Write internal register value
TWI_Stop();
}
//-----------------------------------------------------------------------------
// Read from MCP23S08 internal register
//-----------------------------------------------------------------------------
unsigned char KAmodEXP2_ReadReg(unsigned char idx, unsigned char RegAddr)
{
unsigned char tmp;

TWI_Start();
TWI_Write(0x40 | (idx << 1));	// Write device address + read bit
TWI_Write(RegAddr);				// Write internal register address
TWI_Start();
TWI_Write(0x41 | (idx << 1));
tmp = TWI_Read(NACK);
TWI_Stop();
return tmp;
}
//-----------------------------------------------------------------------------
// Hadrware initialization
//-----------------------------------------------------------------------------
void KAmodEXP2_Init(void)
{
TWI_Init();							// SPI hardware initializtion
}
//-----------------------------------------------------------------------------
// End of file
//-----------------------------------------------------------------------------
